Subject: Louis LeBlanc: Re: FVWM: Trouble running Fvwm in OpenWindows!

From: Dan Espen <[email-masked]>
Date: Thu, 13 Jul 2000 08:08:46 -0400

I got this reply from Louis, problem solved.

Sender: [email-masked]
Date: Wed, 12 Jul 2000 16:38:57 -0400
From: Louis LeBlanc <[email-masked]>
To: Dan Espen <[email-masked]>
Subject: Re: FVWM: Trouble running Fvwm in OpenWindows!

Thanks for the tip!  I got the message that libXpm.so.4.11 was not found, and
I realized that it was linking to /usr/lib/libXpm.so.4.11 rather than
/usr/lib/libXpm.so.  Apparently I did a bad thing and removed the
(supposedly) older versions from everywhere, and only linked back into *.so.

Fixed.  Now to start reading the config info!

Lou

Dan Espen wrote:

> Louis LeBlanc <[email-masked]> writes:
> > Hey, all.  I have been trying to install FVWM on a Solaris 2.6 maching
> > running OpenWindows.  So far I am having  no luck.
> >
> > I set up my ~/.xinitrc as follows:
> >
> > #!/bin/sh
> > stty erase
> > DISPLAY=:0.0
> > export DISLPAY
> > xrdb -load ~/.Xdefaults
> > exec fvwm2
>
> Try this:
>
> exec fvwm2 2>/tmp/fvwm.out
>
> The fvwm.out file might contain an error message.
>
> > About as basic as it gets.
> > The .fvwm2rc file is the sample with the icon path and pixmap path
> > fixed.  Nothing more.
> >
> > When the login screen comes up, I select OpenWindows from the Options
> > dropdown, and the screen comes up black, flashes white, and bonks back
> > to the login screen.  Then I have to log in to CDE to fix it back.  With
> > this .xinitrc, I do have twm running, but I want virtual desktops!
> >
> > I compiled fvwm with xpm support ( I had to build and install the xpm
> > libs myself from xpm-3.4k-solaris.tgz )
>
> If you didn't install this in /usr/lib you might  have to add the "-R"
> option   during the  compile.   See  the   INSTALL.fvwm file for  more
> information.
>
> > I am not sure how to test the xpm libs, but that is the only thing I can
> > imagine would cause the problem.
> >
> > Any other ideas?
> >
> > Thanks in advance
> >
> > Lou
>
> --
> Dan Espen
> 444 Hoes Lane  Room RRC 1C-214           E-mail: [email-masked]
> Piscataway, NJ 08854                     Phone: (732) 699-5570

--
Louis LeBlanc - Software Engineer - Mirror Image Internet, Inc.
http://www.mirror-image.com       [email-masked]
Phone: 781.376.1186                            Fax:781.376.1110

--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].